"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const get_set_1 = require("./get-set");
function difference(arr1, arr2, base, set) {
    let result = [].concat(arr1);
    for (let i = 0; i < arr2.length; i++) {
        let index = base ? result.findIndex(entry => entry[base] === arr2[i][base]) : result.indexOf(arr2[i]);
        if (index === -1) {
            result.push(arr2[i]);
        }
        else {
            result.splice(index, 1);
        }
    }
    return set ? get_set_1.getSet(result) : result;
}
exports.difference = difference;
//# sourceMappingURL=difference.js.map