"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const get_changes_1 = require("../object/get-changes");
function getArrayChanges(arr1, arr2, key) {
    let arrRef1 = arr1.length > arr2.length ? arr1 : arr2;
    let arrRef2 = arr1.length > arr2.length ? arr2 : arr1;
    let swipe = arrRef1 === arr1 ? false : true;
    let results = {};
    for (let i = 0; i < arrRef1.length; i++) {
        let compareElm = arrRef2.find(elm => elm[key] === arrRef1[i][key]) || null;
        let compareResults = get_changes_1.getChanges(swipe ? compareElm : arrRef1[i], swipe ? arrRef1[i] : compareElm);
        if (compareResults.count > 0)
            results[arrRef1[i][key]] = compareResults;
    }
    for (let i = 0; i < arrRef2.length; i++) {
        let compareElm = arrRef1.find(elm => elm[key] === arrRef2[i][key]) || null;
        if (!compareElm) {
            results[arrRef1[i][key]] = { count: 1, changes: [swipe ? arrRef2[i] : null, swipe ? null : arrRef2[i]] };
        }
    }
    return results;
}
exports.getArrayChanges = getArrayChanges;
//# sourceMappingURL=get-array-changes.js.map