export declare class QueueNode<T> {
    val: T;
    next: QueueNode<T>;
    constructor(val: T);
}
export declare class Queue<T> {
    readonly max: number;
    private first;
    private last;
    length: number;
    constructor(max?: number);
    push(val: T): this;
    pop(): T;
    clear(): this;
}
