export declare class StackNode<T> {
    val: T;
    prev: StackNode<T>;
    constructor(val: T);
}
export declare class Stack<T> {
    readonly max: number;
    last: StackNode<T>;
    length: number;
    constructor(max?: number);
    push(val: T): this;
    pop(): T;
    clear(): this;
}
