"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const clean_prop_path_1 = require("./clean-prop-path");
function omit(obj, props) {
    for (let i = 0; i < props.length; i++) {
        let path = clean_prop_path_1.cleanPropPath(props[i]).split('.');
        if (path.length === 1) {
            delete obj[props[i]];
            continue;
        }
        let temp = obj;
        for (let j = 0; j < path.length; j++) {
            temp = temp[path[j]];
            if (!temp)
                break;
            if (j === path.length - 2) {
                delete temp[path[j + 1]];
                break;
            }
        }
    }
    return obj;
}
exports.omit = omit;
//# sourceMappingURL=omit.js.map