"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function range(start, end, step) {
    let result = [];
    if (start > 0 && end === undefined) {
        for (let i = 0; i <= start; i++)
            result.push(i);
        return result;
    }
    if ((start !== 0 && !start) || (end !== 0 && !end))
        return result;
    step = step || 1;
    step = Math.abs(step);
    step = start < end ? step : step *= -1;
    let counter = start;
    while (true) {
        result.push(counter);
        counter += step;
        if ((step < 0 && counter < end) || (step > 0 && counter > end))
            break;
    }
    return result;
}
exports.range = range;
function shuffle(arr) {
    let currentIndex = arr.length;
    let temporaryValue;
    let randomIndex;
    while (0 !== currentIndex) {
        randomIndex = Math.floor(Math.random() * currentIndex);
        currentIndex -= 1;
        temporaryValue = arr[currentIndex];
        arr[currentIndex] = arr[randomIndex];
        arr[randomIndex] = temporaryValue;
    }
    return arr;
}
exports.shuffle = shuffle;
//# sourceMappingURL=range.js.map