export declare class BinarySearchTeeeNode<T> {
    readonly val: T;
    left: BinarySearchTeeeNode<T>;
    right: BinarySearchTeeeNode<T>;
    constructor(val: T);
}
export declare class BinarySearchTeee<T> {
    readonly comparer: (a: T, b: T) => number;
    root: BinarySearchTeeeNode<T>;
    constructor(comparer?: (a: T, b: T) => number);
    private compare;
    insert(val: T): this;
    find(val: T): T;
    private PFS;
    private DFS;
    private DFSPreOrder;
    private DFSPostOrder;
    private DFSInOrder;
}
