"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CODES;
(function (CODES) {
    CODES[CODES["CONTINUE"] = 100] = "CONTINUE";
    CODES[CODES["SWITCHING"] = 101] = "SWITCHING";
    CODES[CODES["OK"] = 200] = "OK";
    CODES[CODES["CREATED"] = 201] = "CREATED";
    CODES[CODES["ACCEPTED"] = 202] = "ACCEPTED";
    CODES[CODES["NON_AUTHORITATIVE"] = 203] = "NON_AUTHORITATIVE";
    CODES[CODES["NO_CONTENT"] = 204] = "NO_CONTENT";
    CODES[CODES["RESET_CONTENT"] = 205] = "RESET_CONTENT";
    CODES[CODES["REDIRECT"] = 300] = "REDIRECT";
    CODES[CODES["BAD_REQUEST"] = 400] = "BAD_REQUEST";
    CODES[CODES["UNAUTHORIZED"] = 401] = "UNAUTHORIZED";
    CODES[CODES["PAYMENT_REQUIRED"] = 402] = "PAYMENT_REQUIRED";
    CODES[CODES["FORBIDDEN"] = 403] = "FORBIDDEN";
    CODES[CODES["NOT_FOUND"] = 404] = "NOT_FOUND";
    CODES[CODES["METHOD_NOT_ALLOWED"] = 405] = "METHOD_NOT_ALLOWED";
    CODES[CODES["NOT_ACCEPTABLE"] = 406] = "NOT_ACCEPTABLE";
    CODES[CODES["PROXY_AUTHENTICATION_REQUIRED"] = 407] = "PROXY_AUTHENTICATION_REQUIRED";
    CODES[CODES["REQUEST_TIMEOUT"] = 408] = "REQUEST_TIMEOUT";
    CODES[CODES["CONFLICT"] = 409] = "CONFLICT";
    CODES[CODES["GONE"] = 410] = "GONE";
    CODES[CODES["LENGTH_REQUIRED"] = 411] = "LENGTH_REQUIRED";
    CODES[CODES["REQUEST_ENTITY_TOO_LARGE"] = 413] = "REQUEST_ENTITY_TOO_LARGE";
    CODES[CODES["REQUEST_URI_TOO_LONG"] = 414] = "REQUEST_URI_TOO_LONG";
    CODES[CODES["UNSUPPORTED_MEDIA_TYPE"] = 415] = "UNSUPPORTED_MEDIA_TYPE";
    CODES[CODES["EXPECTATION_FAILED"] = 417] = "EXPECTATION_FAILED";
    CODES[CODES["BAD_PARAMS"] = 422] = "BAD_PARAMS";
    CODES[CODES["LOCKED"] = 423] = "LOCKED";
    CODES[CODES["REQUEST_HEADER_FIELDS_TOO_LARGE"] = 431] = "REQUEST_HEADER_FIELDS_TOO_LARGE";
    CODES[CODES["INVALID_TOKEN"] = 498] = "INVALID_TOKEN";
    CODES[CODES["TOKEN_REQUIRED"] = 499] = "TOKEN_REQUIRED";
    CODES[CODES["INTERNAL_SERVER_ERROR"] = 500] = "INTERNAL_SERVER_ERROR";
    CODES[CODES["NOT_IMPLEMENTED"] = 501] = "NOT_IMPLEMENTED";
    CODES[CODES["BAD_GATEWAY"] = 502] = "BAD_GATEWAY";
    CODES[CODES["SERVIC_UNAVAILABLE"] = 503] = "SERVIC_UNAVAILABLE";
    CODES[CODES["GATEWAY_TIMEOUT"] = 504] = "GATEWAY_TIMEOUT";
    CODES[CODES["UNKNOWN_ERROR"] = 520] = "UNKNOWN_ERROR";
})(CODES = exports.CODES || (exports.CODES = {}));
//# sourceMappingURL=codes.js.map