import { Unique } from './unique';
import { URL } from './url';
declare const _default: {
    Unique: typeof Unique;
    URL: typeof URL;
    Types: {
        isValidType(type: string): boolean;
        number(value: any): boolean;
        int(value: any): boolean;
        float(value: any): boolean;
        string(value: any): boolean;
        boolean(value: any): boolean;
        primitive(value: any): boolean;
        date(value: any): boolean;
        regexp(value: any): boolean;
        function(value: any): boolean;
        object(value: any): boolean;
        array(value: any): boolean;
        any(): boolean;
        arrayOf(type: string, value: any[]): boolean;
        getTypesOf(value: any): string[];
    };
    hash(src: string, salt?: string): Promise<[string, string]>;
    verify(src: string, hashed: string, salt: string): Promise<boolean>;
};
export default _default;
