"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const clean_prop_path_1 = require("./clean-prop-path");
function hasPropPath(src, path) {
    let parts = clean_prop_path_1.cleanPropPath(path).split('.');
    if (parts.length === 1)
        return src.hasOwnProperty(path);
    let temp = src;
    for (let i = 0; i < parts.length; i++) {
        if (!temp.hasOwnProperty(parts[i]))
            return false;
        temp = temp[parts[i]];
    }
    return true;
}
exports.hasPropPath = hasPropPath;
//# sourceMappingURL=has-prop-path.js.map