"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function compile(template, data) {
    let reg = /\{\{\s*([\w\.]+)\s*\}\}/g;
    return template.replace(reg, (match, $1) => {
        let parts = $1.split("."), temp;
        match = match;
        if (parts.length == 1)
            return data[parts[0]];
        temp = data[parts[0]];
        for (let i = 1; i < parts.length; i++) {
            temp = temp[parts[i]];
        }
        return temp || "";
    });
}
exports.compile = compile;
//# sourceMappingURL=compile.js.map