"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function toRegExp(pattern) {
    let parts;
    let flags;
    if (pattern.charAt(0) === '/') {
        parts = decodeURI(pattern).split('/');
        flags = parts.pop();
        pattern = parts.join('/').replace(/^\/|\/$/g, '');
    }
    return new RegExp(pattern, flags);
}
exports.toRegExp = toRegExp;
//# sourceMappingURL=to-regexp.js.map