/// <reference types="@types/node" />
import { URL as NodeURL } from 'url';
export declare class PathPattern {
    readonly pattern: string;
    private _params;
    private optionalsCount;
    readonly paramsNames: string[];
    readonly blocks: string[];
    readonly hasRest: boolean;
    readonly hasOptional: boolean;
    constructor(pattern: string);
    private countOptionals;
    readonly params: {
        [key: string]: string;
    };
    match(path: string): boolean;
    fill(values: {
        [key: string]: string;
    }): string;
}
export declare class URL extends NodeURL {
    readonly query: any;
    constructor(href: string, base?: string | NodeURL);
    static QueryToObject(query: string): any;
    static ObjectToQuery(obj: {
        [key: string]: any;
    }, encode?: boolean): string;
    static Clean(path: string): string;
    secure: boolean;
}
